Validate Migrate Connection Spec

Validate Migrate Connection Spec
Validates connection to the remote appliance.

Validates connection to the remote appliance. If successful the result task will finish successfully without any ''result''.

Request
URI
POST
https://{api_host}/appliance/migration-manager/actions/validate-connection
COPY
Request Body

The migration specification to be validated.

ApplianceConnectionSpec of type(s) application/json
Optional

Show optional properties

{
    "appliance_uri": "https://my-appliance.acme.com:443",
    "appliance_credentials": {
        "admin_user": "string",
        "admin_password": "string"
    }
}
{
    "appliance_uri": "https://my-appliance.acme.com:443",
    "appliance_credentials": {
        "admin_user": "string",
        "admin_password": "string"
    },
    "appliance_thumbprint": "string",
    "appliance_certificate": "string"
}
string
appliance_uri
Required

Appliance URI. Must specify the protocol (currently only https is supported) and optionally the port (default port is 443).

object
appliance_credentials
Required

Contains credentials information.

string
appliance_thumbprint
Optional

Appliance thumbprint.

string
appliance_certificate
Optional

Certificate in PEM format.

Authentication
This operation uses the following authentication methods.
Responses
202

Task to monitor the operation.

Returns TaskDrResponseEntity of type(s) application/json
This response body class contains all of the following: Task , InlineTaskDrResponseEntity1
{
    "id": "string",
    "description": "string",
    "type": "string",
    "status": "string",
    "error": {
        "message": "string",
        "details": "string"
    },
    "result": {},
    "progress": 0,
    "start_time": 0,
    "complete_time": 0,
    "_meta": {
        "errors": [
            {
                "code": "string",
                "message": "string",
                "field": "string"
            }
        ]
    }
}

400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
{
    "error_code": "string",
    "message": "string",
    "op_id": "string"
}
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
{
    "error_code": "string",
    "message": "string",
    "op_id": "string"
}
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"appliance_credentials":"object","appliance_uri":"string"}' https://{api_host}/appliance/migration-manager/actions/validate-connection